﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;

namespace WindowsFormsApplication194
{
    class DF : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is Infragistics.Win.ImageAndTextUIElement.ImageAndTextDependentTextUIElement)
            {
                Infragistics.Win.ImageAndTextUIElement.ImageAndTextDependentTextUIElement el =
                    (Infragistics.Win.ImageAndTextUIElement.ImageAndTextDependentTextUIElement)drawParams.Element;
                el.Rotated = true;
                return false;
            }
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if(drawParams.Element is Infragistics.Win.ImageAndTextUIElement.ImageAndTextDependentTextUIElement)
            return DrawPhase.BeforeDrawForeground;

            return DrawPhase.None;
        }
    }
}
